#include "fortran.h"

void
convert_declaration(const char *s)
{
    const char *p;

    for (p = s; *p && isspace(*p); ++p)		/* output any leading space */
	output(*p);
    if (*p == 'i')
	outstr("implicit ");
    else if (*p == 'I')
	outstr("IMPLICIT ");
    if (hp_output)
	outstr(islower(*p) ? "real*16" : "REAL*16");
    else
	outstr(islower(*p) ? "double precision" : "DOUBLE PRECISION");
}
